Render a template with sample data
POST
/v1/reply-templates/{outcome}/preview
const url = 'https://api.fromenance.com/v1/reply-templates/verified/preview';const options = { method: 'POST', headers: { cookie: 'fromenance.session_token=<fromenance.session_token>', 'Content-Type': 'application/json' }, body: '{"subject":"example","body_mjml":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.fromenance.com/v1/reply-templates/verified/preview \ --header 'Content-Type: application/json' \ --cookie fromenance.session_token=<fromenance.session_token> \ --data '{ "subject": "example", "body_mjml": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”outcome
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
subject
string
body_mjml
string
Examplegenerated
{ "subject": "example", "body_mjml": "example"}Responses
Section titled “ Responses ”Rendered
Media typeapplication/json
object
subject
required
string
html
required
string
text
required
string
errors
required
Array<string>
from
required
string
Examplegenerated
{ "subject": "example", "html": "example", "text": "example", "errors": [ "example" ], "from": "example"}